<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <span class="bold-span">{{forecast.hourly.summary}}</span>
  </div>
  <div class="col-md-2">
  </div>
</div>
<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <div *ngFor="let hourlyData of forecast.hourly.data">
      <mat-accordion>
        <mat-expansion-panel hideToggle>
          <mat-expansion-panel-header>
            <mat-panel-title>
              <img src='{{ "/assets/img/weatherIcon/" + hourlyData.icon + ".png" }}' class="img-small"/>
             {{hourlyData.time*1000 | date:'HH\'h\' dd/MM'}}
            </mat-panel-title>
            <mat-panel-description>
              <span class="bold-span"> {{hourlyData.summary}} </span>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <div class="container">
            <div class="row">
              <div class="col-sm-12">
                <span style="font-size: 15px;font-weight: 600"> {{hourlyData.summary}} </span>
              </div>
            </div>
            <hr>
            <div class="row">
              <div class="col col-lg-4">
                <img src='{{ "/assets/img/weatherIcon/" + hourlyData.icon + ".png" }}' class="img-big"/>
              </div>
              <div class="col col-lg-8">
                <div class="container">
                  <div class="row">
                    <div class="col">
                      <span class="bold-span">Temperature:</span>
                      {{hourlyData.temperature}}°C
                    </div>
                    <div class="col">
                      <span class="bold-span">Ressentie:</span>
                      {{hourlyData.apparentTemperature}}°C
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                    <div class="col">
                      <span class="bold-span">Couverture Nuageuse:</span>
                      {{hourlyData.cloudCover}}%
                    </div>
                    <div class="col">
                      <span class="bold-span">Visibilité:</span>
                      {{hourlyData.visibility}}+km
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                    <div class="col">
                      <span class="bold-span">Pression: </span>
                      {{hourlyData.pressure}}hPa
                    </div>
                    <div class="col">
                      <span class="bold-span">Humidité: </span>
                      {{hourlyData.humidity}}%
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                    <div class="col">
                      <span class="bold-span">Vent:</span>
                      {{hourlyData.windSpeed}}Km/h
                    </div>
                    <div class="col">
                      <span class="bold-span">Pluie:</span>
                      {{hourlyData.precipIntensity}}mm
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                    <div class="col">
                      <span class="bold-span">Chance de précipitation:</span>
                      {{hourlyData.precipProbability}}%
                    </div>
                    <div class="col">
                      <span class="bold-span">indice UV:</span>
                      <span *ngIf="hourlyData.uvIndex <= 2" class="uv-low">
                            {{hourlyData.uvIndex}}
                          </span>
                      <span *ngIf="hourlyData.uvIndex > 2 && hourlyData.uvIndex <= 5" class="uv-moderate">
                            {{hourlyData.uvIndex}}
                          </span>
                      <span *ngIf="hourlyData.uvIndex > 5 && hourlyData.uvIndex <= 7" class="uv-hight">
                            {{hourlyData.uvIndex}}
                          </span>
                      <span *ngIf="hourlyData.uvIndex > 7 && hourlyData.uvIndex <=10" class="uv-very-hight">
                            {{hourlyData.uvIndex}}
                          </span>
                      <span *ngIf="hourlyData.uvIndex > 10" class="uv-extrem">
                            {{hourlyData.uvIndex}}
                          </span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </mat-expansion-panel>
      </mat-accordion>
      <br>
    </div>
  </div>
  <div class="col-md-2">
  </div>
</div>
